SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   i.List Vendors:   skoom.de
i.List Input Validation Holes in Search Function Permit Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1016274
SecurityTracker URL:  http://securitytracker.com/id/1016274
CVE Reference:   CVE-2006-2956   (Links to External Site)
Updated:  May 19 2009
Original Entry Date:  Jun 13 2006
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 1.5 and prior versions
Description:   David 'Aesthetico' Vieira-Kurz of MajorSecurity reported a vulnerability in i.List. A remote user can conduct cross-site scripting attacks.

Several scripts do not properly filter HTML code from user-supplied input before displaying the input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the i.List software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

The input box in 'search.php' and the 'URL' input box and 'ButtonURL' in 'add.php' are affected.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the i.List software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  skoom.de/toplist-script/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  [MajorSecurity #10]i.List <= 1.5 - XSS

[MajorSecurity #10]i.List <= 1.5 - XSS 
----------------------------------------

Software: i.List

Version: <=1.5

Type: XSS

Date: June, 8th 2006

Vendor: Skoom

Page: http://skoom.de


Credits:
-------------------------------

David 'Aesthetico' Vieira-Kurz

http://www.majorsecurity.de


Affected Products:
-------------------------------

i.List 1.5 and prior


Description:
-------------------------------

i.List is a php/mysql TOPLIST script.

Requirements:
-------------------------------

register_globals = On


Vulnerability:
-------------------------------

Input passed to the Inputbox in "search.php", the 'URL' inputbox
and 'ButtonURL' in "add.php" is not properly filtered and verified, before it is used.
This can be exploited to execute evil XSS-code.

Solution:
-------------------------------

Edit the source code to ensure that input is properly sanitised.
Set "register_globals" to "Off".


Exploitation:
-------------------------------
In the inputbox of /search.php:
Search for: <script>alert("MajorSecurity")</script>

In the inputbox 'URL' of add.php:
Type in as URL: <script>alert("MajorSecurity")</script>

In the inputbox 'ButtonURL' of add.php:
Type in as URL: <script>alert("MajorSecurity")</script>







 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC